set(srcs
    "src/evsemeter_modbus.c"
    "src/evsemeter_ade7758.c"
    "src/evsemeter_events.c"
)

idf_component_register(SRCS "${srcs}"
                      INCLUDE_DIRS "include"
                      REQUIRES esp_event meter_orno meter_ade7758)
